<?php

namespace Drupal\eabax_workflows\Plugin\Menu\LocalAction;

use Drupal\Core\Cache\Cache;
use Drupal\Core\Menu\LocalActionDefault;
use Drupal\Core\Routing\RouteMatchInterface;
use Drupal\Core\Url;

class TransitionApplyLocalAction extends LocalActionDefault {

  /**
   * {@inheritdoc}
   */
  public function getRouteParameters(RouteMatchInterface $route_match) {
    // TODO: Change the autogenerated stub
    $route_parameters = parent::getRouteParameters($route_match);

    $entity = $route_match->getParameters()->all();
    $entity = reset($entity);
    $route_parameters['entity_id'] = $entity->id();

    return $route_parameters;
  }

  /**
   * {@inheritdoc}
   */
  public function getOptions(RouteMatchInterface $route_match) {
    $options = parent::getOptions($route_match);

    $options['query']['destination'] = Url::fromRoute('<current>')->toString();

    return $options;
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheTags() {
    $route_match = \Drupal::routeMatch();
    $entity = $route_match->getParameters()->all();
    /** @var \Drupal\Core\Entity\EntityInterface $entity */
    $entity = reset($entity);
    $tags = Cache::mergeTags(parent::getCacheTags(), $entity->getCacheTags());

    return $tags;
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheContexts() {
    return Cache::mergeContexts(parent::getCacheContexts(), ['url']);
  }

}
